etpkcs11.dll (aladdin eToken runtime extension) worked fine in Mozilla 1.1

VERIFIED WORKSFORME

Status

Core Graveyard
Security: UI
VERIFIED WORKSFORME
15 years ago
a year ago

People

(Reporter: Andrew Webster, Assigned: Stephane Saux)

Tracking

1.0 Branch
x86
Windows 2000

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

15 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.3a) Gecko/20021212
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.3a) Gecko/20021212

After upgrading from Mozilla 1.1 to Mozilla 1.3a, the Aladdin eToken security
module etpkcs11.dll is no longer working properly.  
In the manage security devices window, it shows as not loaded.
As a result, a mailserver using a client Cert (stored on the eToken) will no
longer authenticate the user, and revert to username/password.
This also breaks the ability of sending secure email.


Reproducible: Always

Steps to Reproduce:
1. Add c:\winnt\system32\etpkcs11.dll in the Security Devices window
2. Shows as loaded
3. Close mozilla
4. Reopen mozilla
5. Open mail/news
6. Manage security devices window shows the module as Not loaded.
7. Certs no longer work.
Actual Results:  
Certificate authentication no longer works

Expected Results:  
Same behaviour as Mozilla 1.1

Comment 1

15 years ago
PSM
Assignee: mstoltz → ssaux
Component: Security: General → Client Library
Product: MailNews → PSM
Version: Trunk → 2.4

Comment 2

15 years ago
Probably related to or a dupe of bug 182607, where cert7.db gets upgraded to
cert8.db. The workaround would probably be
Edit>Prefs>Privacy>Certificates>Manage Security Devices>Load, type in a name
like aladdin, and the Module filename would be etpkcs11.dll.
(Reporter)

Comment 3

15 years ago
This problem is _NOT_ present in Mozilla 1.3b.

Comment 4

15 years ago
Andrew, do you say, Mozilla 1.3a had the problem, but Mozilla 1.3b works again?
If so, this bug should be marked as WORKSFORME.
(Reporter)

Comment 5

15 years ago
Problem is corrected in Mozilla 1.3b
Status: UNCONFIRMED → RESOLVED
Last Resolved: 15 years ago
Resolution: --- → WORKSFORME

Comment 6

15 years ago
Verified.
Status: RESOLVED → VERIFIED

Updated

13 years ago
Component: Security: UI → Security: UI
Product: PSM → Core

Updated

10 years ago
Version: psm2.4 → 1.0 Branch
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.